Redmine - Defect #12954

Required field can't be read-only
2013-01-23 10:32 - Daniel Felix

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 232

Description
Hi,

I've encountered some bug, which prevents the creation of a new issue.
Maybe this is solved by commiting #12005, but in the current trunk and Redmine 2.2.2 this bug is reproduceable.
Ways to reproduce this error:

1. Set custom field as required
Custom fields » Issues » AuswertungsID

Name * AyswertungsID
Format
Min - Max length -0
(D means no restriction)
Regular expression
(eg. ~[A-Z0-9]+%)

Default value

Trackers
Fehler Feature [T] Unterstiitzung [0 Aufgabe

Required

For all projects [
Used as a filter

Searchable

2. Define field as read-only in workflow

2025-07-01

1/3



https://www.redmine.org/issues/12005

Workflow

Fields permissions

Select a role and a tracker to edit the workflow:

Role: Manager |Z| Tracker: Fehler |Z| Only display statuses that are used by t

Neu
= Standard fields

Project *
Tracker *
Subject *
Description
Priority *
Private *
Assignee
Category
Target version
Parent task
Start date
Due date

Estimated time

FEEENE®NEBDE®E B EE

% Done

@ Custom fields

AuswertungsID * Read-only [

3. Try to add issue, as you could see the field isn't displayed in the form but is checked in the required process

New issue

BEE B

(1 )
© ¢

Maybe this one is related with #12856, which hasn't any relation to custom fields, but the result seems to be the same.

Some suggestion to solve this:
Commit patch from #12005, remove required checkbox from custom fields, set currently required fields to "required" in all workflows.
This way there is no way to set a field as read-only and required.

Best regards,
Daniel

Related issues:

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

Related to Redmine - Defect #12856: Required field Category cannot be edited ... Needs feedback
Is duplicate of Redmine - Defect #19193: Custom Field definition inconsistency New

History

#1 - 2013-01-23 10:37 - Daniel Felix
- Description updated

#2 - 2013-01-23 10:39 - Daniel Felix
- Description updated
https://www.redmine.org/issues/12856
https://www.redmine.org/issues/12005

#3 - 2013-08-08 17:11 - Daniel Felix
- Affected version (unused) changed from 2.2.2 to 2.3.2
- Affected version changed from 2.2.2 to 2.3.2

| can reproduce this, even with the current release or with 2.3.2-devel (r12012).

It would be good to prevent setting a field to "hidden", if it is a required field. Or on the other hand, the field should be only required if it is visible to the

user.

#4 - 2017-02-19 04:52 - Go MAEDA
- Is duplicate of Defect #19193: Custom Field definition inconsistency added

#5 - 2017-02-19 04:53 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #19193 (Redmine 3.1.0).
